package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.asset.service.IWfAssetManageInventoryService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 资产盘点规则
 */
@Component("wf_asset_manage_inventory_node")
public class WfAssetManageInventoryNode extends NodeComponent {

    @Autowired
    private IWfAssetManageInventoryService wfAssetManageInventoryService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            wfAssetManageInventoryService.dataCache(formId);
        }
    }
}